# Homebride MQTT Shelly Dimmer2 Plugin

This plugin enables you to integrate a Shelly Dimmer2 into Homebridge via MQTT.
You need an **external MQTT broker** for this plugin. You can also use a Homebridge plugin as an MQTT broker.

### Configuration
```
{
    "accessory": "MQTTShellyDimmer2",
    "name": "Dimmer 1",
    "host": "192.168.178.1",
    "port": "1883",
    "user": "mqtt-username",
    "password": "mqtt-password",
    "device": "ED668DBBA486"
}
```
##### Parameter
- ```accessory```  name of the plugin (**don't change it**)
- ```name```  display name in HomeKit and Homebridge
- ```host```  hostname or ip of your mqtt broker
- ```port```  port of your mqtt broker
- ```user```  (optional) username for mqtt auth
- ```password```  (optional) password for mqtt auth
- ```device```  deviceId of your Shelly dimmer 2


##### Get deviceId of your Shelly dimmer 2
- open the _web interface_ of your Shelly dimmer
- go to _Settings_
- scroll to the bottom to _Device Info_
- copy the deviceId (**not** the one in the brackets)